/// <reference types="node" />
import { Language } from '../LegalAnalyticsClient/websocket/Language';
import { ApiOptions } from '../models/ApiOptions';
import { Criterion } from '../models/Criterion';
import { DataFormat } from '../models/DataFormat';
import { NerMode } from '../models/NerMode';
import { OcrMode } from '../models/OcrMode';
import { SmartSearchTask } from '../models/SmartSearchTask';
export declare class Builder {
    private DEFAULT_LANGUAGE;
    private DEFAULT_OCR_MODE;
    private DEFAULT_NER_MODE;
    private tasks;
    private smartSearchTasks;
    private dataFormat;
    private data;
    private defaultOptions;
    private connectionId;
    private language;
    private ocrMode;
    private nerMode;
    private taskToken;
    constructor(data: string | Buffer, dataFormat: DataFormat);
    setSmartSearchTasks(smartSearchTasks: SmartSearchTask | Array<SmartSearchTask>): Builder;
    setTasks(tasks: Map<Criterion, ApiOptions>): this;
    setTaskToken(taskToken: string): void;
    setNerMode(nerMode: NerMode): this;
    setLanguage(language: Language): this;
    setOcrMode(ocrMode: OcrMode): this;
    setCriteria(criteria: Criterion | Array<Criterion>): this;
    setData(data: string | Buffer): this;
    setDataFormat(dataFormat: DataFormat): this;
    getDataFormat(): DataFormat;
    getData(): string | Buffer;
    getTasks(): Map<Criterion, ApiOptions>;
    getOcrMode(): OcrMode;
    getNerMode(): NerMode;
    getSmartSearchTasks(): SmartSearchTask[];
    getLanguage(): Language;
    getTaskToken(): string;
}
