import { Polygon } from './Polygon';
import { Vec2 } from './Vec2';
export declare class BoundingBox {
    x: number;
    y: number;
    width: number;
    height: number;
    constructor(x: number, y: number, width: number, height: number);
    getTopLeft(): Vec2;
    getTopRight(): Vec2;
    getBottomLeft(): Vec2;
    getBottomRight(): Vec2;
    origin(): Vec2;
    getCenter(): Vec2;
    originX(): number;
    originY(): number;
    getCenterX(): number;
    getCenterY(): number;
    getWidth(): number;
    getHeight(): number;
    getEdges(): Array<Vec2>;
    toPolygon(): Polygon;
    contains(x: number, y: number): boolean;
    containsVec(vec2: Vec2): boolean;
    containsBox(box: BoundingBox): boolean;
    intersects(box: BoundingBox): boolean;
    getLeft(): number;
    getTop(): number;
    getRight(): number;
    getBottom(): number;
    toString(): string;
    shift(x: number, y: number): BoundingBox;
}
