export declare enum OcrMode {
    /**
     * Let's the service decide whether or not Optical Character Recognition (OCR) is required.
     */
    AUTOMATIC = "AUTOMATIC",
    /**
     * Enforces the usage of Optical Character Recognition (OCR) regardless of the uploaded file.
     */
    FORCE = "FORCE",
    /**
     * Never uses Optical Character Recognition (OCR).
     * Causes an error if there is no machine readable text.
     */
    NEVER = "NEVER"
}
